Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'

Path Parameters

memory_id
string<uuid>
required

The unique identifier of the memory to retrieve.

Response

200 - application/json

Successfully retrieved the memory history.

id
string<uuid>
required

Unique identifier for the history entry.

memory_id
string<uuid>
required

Unique identifier of the associated memory.

input
object[]
required

The conversation input that led to this memory change

new_memory
string
required

The new or updated state of the memory

user_id
string
required

The identifier of the user associated with this memory

event
enum<string>
required

The type of event that occurred

Available options:
ADD,
UPDATE,
DELETE
created_at
string<date-time>
required

The timestamp when this history entry was created.

updated_at
string<date-time>
required

The timestamp when this history entry was last updated.

old_memory
string | null

The previous state of the memory, if applicable

metadata
object | null

Additional metadata associated with the memory change